package com.bcxin.tenant.open.domains.repositories;

import com.bcxin.tenant.open.domains.dtos.SyncDataWrapperDTO;
import com.bcxin.tenant.open.domains.dtos.SyncDbCheckQueryDTO;

import java.util.Collection;

public interface RdSyncDataRepository {
    void reloadSyncData(SyncDataWrapperDTO dataWrapper);

    void clearExpiredProprietorStations(Collection<String> ids);

    Collection<String> getRelativeIds(SyncDbCheckQueryDTO criteria);
}
